CVE-2022-45442

NameCVE-2022-45442
DescriptionSinatra is a domain-specific language for creating web applications in Ruby. An issue was discovered in Sinatra 2.0 before 2.2.3 and 3.0 before 3.0.4. An application is vulnerable to a reflected file download (RFD) attack that sets the Content-Disposition header of a response when the filename is derived from user-supplied input. Version 2.2.3 and 3.0.4 contain patches for this issue.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3264-1
Debian Bugs1025125

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ruby-sinatra (PTS)buster2.0.5-4vulnerable
buster (security)2.0.5-4+deb10u2fixed
bullseye2.0.8.1-2vulnerable
bookworm, sid3.0.5-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ruby-sinatrasourcebuster2.0.5-4+deb10u2DLA-3264-1
ruby-sinatrasource(unstable)(unfixed)1025125

Notes

https://github.com/sinatra/sinatra/security/advisories/GHSA-2x8x-jmrp-phxw
https://github.com/sinatra/sinatra/commit/ea8fc9495a350f7551b39e3025bfcd06f49f363b (v3.0.4)
https://github.com/sinatra/sinatra/commit/1808bcdf3424eab0c659ef2d0e85579aab977a1a (v2.2.3)

Search for package or bug name: Reporting problems